package net.knarcraft.armoredelytra.listener;

import net.knarcraft.armoredelytra.event.ArmorEquipEvent;
import net.knarcraft.armoredelytra.property.ArmorChangeMethod;
import net.knarcraft.armoredelytra.property.ArmorType;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockDispenseArmorEvent;

/**
 * @author Arnah
 * @since Feb 08, 2019
 */
public class DispenserArmorListener implements Listener {

    @EventHandler
    public void dispenseArmorEvent(BlockDispenseArmorEvent event) {
        ArmorType type = ArmorType.matchType(event.getItem());
        if (type == null || !(event.getTargetEntity() instanceof Player p)) {
            return;
        }

        ArmorEquipEvent armorEquipEvent = new ArmorEquipEvent(p, ArmorChangeMethod.DISPENSER, type, null,
                event.getItem());
        Bukkit.getServer().getPluginManager().callEvent(armorEquipEvent);
        if (armorEquipEvent.isCancelled()) {
            event.setCancelled(true);
        }
    }

}
